<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <title>Document</title>
</head>
<body>
    <div id="container">
        <h1>Grupos de música</h1>
        <div id="setenta">
            <div class="internacional">
                <h2>Internacionales</h2>
                <p>ABBA</p>
                <p>Beach Boys</p>
                <p>Bee Gees</p>
                <p>Led Zeppelin</p>
                <p>Pink Floyd</p>
            </div>
            <div class="nacional">
                <h2>Españoles</h2>
                <p>Camilo Sesto</p>
                <p>Miguel Rios</p>
                <p>Mocedades</p>
                <p>Nino Bravo</p>
            </div>
        </div>
        <div id="ochenta">
            <div class="internacional">
                <h2>Internacionales</h2>
                <p>AC/DC</p>
                <p>Aerosmith</p>
                <p>Bon Jovi</p>
                <p>The Cure</p>
                <p>Europe</p>
                <p>Motörhead</p>
                <p>Supertramp</p>
            </div>
            <div class="nacional">
                <h2>Españoles</h2>
                <p>Alaska y Dinarama</p>
                <p>Barricada</p>
                <p id="heroes">Héroes del Silencio</p>
                <p>Mecano</p>
                <p>Radio Futura</p>
            </div>
        </div>
        <div id="noventa">
            <div class="internacional">
                <h2>Internacionales</h2>
                <p>Back Street Boys</p>
                <p>The Cardigans</p>
                <p>Daft Punk</p>
                <p>Evanescence</p>
                <p>Foo Fighters</p>
                <p>Marilyn Manson</p>
            </div>
            <div class="nacional">
                <h2>Españoles</h2>
                <p>Amaral</p>
                <p>Extremoduro</p>
                <p>La Fuga</p>
                <p>Los fresones rebeldes</p>
            </div>
        </div>
      </div>
</body>
<script>
$(document).ready(function(){
    $("#container").children("div").attr("class", function (){
        return this.id
    })
    var typeM = $("#heroes").parent().attr("class")
    var grandpa = $("#heroes").parent().parent().attr("id")
    console.log('Tipo de musica '+typeM+' decada '+grandpa)

    $("#heroes").nextAll().attr("id", function () {
        return this.innerHTML
    })

    if($("#queen").length === 0){
        $("#ochenta div#internacional").append()
    }
    var reina = $("#ochenta").children(".internacional").find("#queen")
    console.log(reina)
  /*  function (){
        if (!reina){
            $("#ochenta").children(".internacional").attr("p","Queen")
        }
    }*/
})
</script>
</html>